LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
Gradient Struct Referencepublished

describes a color dispersion within an area. More...

`import"Gradient.idl";`

## Public Attributes
com::sun::star::awt::GradientStyle | Style
| specifies the style of the gradient. More...
com::sun::star::util::Color | StartColor
| specifies the color at the start point of the gradient. More...
com::sun::star::util::Color | EndColor
| specifies the color at the end point of the gradient. More...
short | Angle
| angle of the gradient in 1/10 degree. More...
short | Border
| per cent of the total width where just the start color is used. More...
short | XOffset
| specifies the X-coordinate, where the gradient begins. More...
short | YOffset
| specifies the Y-coordinate, where the gradient begins. More...
short | StartIntensity
| specifies the intensity at the start point of the gradient. More...
short | EndIntensity
| specifies the intensity at the end point of the gradient. More...
short | StepCount
| specifies the number of steps of change color. More...

## Detailed Description

describes a color dispersion within an area.

## Member Data Documentation

short Angle

angle of the gradient in 1/10 degree.

short Border

per cent of the total width where just the start color is used.

com::sun::star::util::Color EndColor

specifies the color at the end point of the gradient.

short EndIntensity

specifies the intensity at the end point of the gradient.

com::sun::star::util::Color StartColor

specifies the color at the start point of the gradient.

short StartIntensity

specifies the intensity at the start point of the gradient.

short StepCount

specifies the number of steps of change color.

com::sun::star::awt::GradientStyle Style

specifies the style of the gradient.

short XOffset

specifies the X-coordinate, where the gradient begins.

short YOffset

specifies the Y-coordinate, where the gradient begins.

The documentation for this struct was generated from the following file:

- com/sun/star/awt/Gradient.idl